#!/bin/bash
#此脚本处理firefox的扩展

function isFirefoxIniExist
(
	if [ -f /home/$1/.mozilla/firefox/profiles.ini ];then
		echo true
	else
		echo false
	fi	
)

function readIni
(
	HOSTID=$2
	CONF=/home/$1/.mozilla/firefox/profiles.ini
	INFO=`cat $CONF \
    	| grep -v ^$ \
    	| sed -n "s/\\s\\+//;/\\[${HOSTID}\\]/,/^\\[/p" \
    	| grep -v ^'\\[' ` && eval "$INFO"

	echo $Path
)

function getFirefoxExtensionPath
(
	firefoxPath="/home/$1/.mozilla/firefox/$2/extensions/"
	echo ${firefoxPath}
)
