chrome.runtime.onMessage.addListener(
  function(request, sender, sendResponse) {
	var evt = new CustomEvent(
		"Response_tdr",
		{
			detail: {
				type: "response",
				text: request,
			},
			bubbles: false,
			cancelable: false
		}
	);
	// 触发
	window.dispatchEvent(evt);
});

window.addEventListener("Request_tdr", function (event) {
    // We only accept messages from ourselves 
    if (event.target != window)
        return;
    var cmd = event.detail.type;
    console.log('received Request_tdr from nativejs :' + event.detail.text);
    if (cmd == "request") {
        browser.runtime.sendMessage(event.detail.text);
    }
}, false);