#!/bin/bash

function getUser
{
	user=
	userPath=/run/systemd/users
	userFiles=`ls $userPath`
	for userFile in $userFiles
	do
		 userState=`awk -F= '{ if($1=="STATE") print $2}' ${userPath}/${userFile}`
		 if [ ${userState} == "active" ];then
			user=`awk -F= '{ if($1=="NAME") print $2}' ${userPath}/${userFile}`
			break
		 fi
	done

	if [ "$user" == "" ];then
		user=root
	fi
	echo $user
}

function getHomePath
{
	home_path=
	if [ $1 != root ];then
		home_path=/home/$1
	else
		home_path=/root
	fi
	echo $home_path
}



