var portNative = null;
var portHtml = null;

chrome.runtime.onConnectExternal.addListener(function (port) {

	function onNativeMessage(message) {
		portHtml.postMessage(message);
	}

	port.onMessage.addListener(function (request) {
		// йش onMessage ¼ʾμ
		portHtml = port;
		// var messageTmp = null;

		var hostName = "com.google.chrome.icbc.tdr";
		if (portNative === null) {
			portNative = chrome.runtime.connectNative(hostName);
			portNative.onMessage.addListener(onNativeMessage);
			portNative.onDisconnect.addListener(onDisconnected);
		}

		if (portNative != undefined) {
			portNative.postMessage(request);
		}
	});
});

function onDisconnected() {
	portNative = null;
	alert("Failed to connect: " + chrome.runtime.lastError.message);
}
